%if 0%{?fedora}
%global _with_python3 1
# Tests disabled on EPEL because of missing dependencies
%global _with_tests 1
%endif

%global python_module msrestazure

%global common_summary AutoRest swagger generator Python client runtime (Azure-specific module)
%global common_description %{common_summary}.

Name:           python-%{python_module}
Version:        0.4.3
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        MIT
URL:            https://pypi.python.org/pypi/%{python_module}/
Source0:        https://pypi.io/packages/source/m/%{python_module}/%{python_module}-%{version}.zip

BuildRequires:  python-setuptools
BuildRequires:  python2-devel
%if 0%{?_with_python3}
BuildRequires:  python3-devel
%endif
# Needed for tests
%if 0%{?_with_tests}
BuildRequires:  python-certifi
BuildRequires:  python-chardet
BuildRequires:  python-enum34
BuildRequires:  python-keyring
BuildRequires:  python-msrest >= 0.4.3
%if 0%{?_with_python3}
BuildRequires:  python3-certifi
BuildRequires:  python3-chardet
BuildRequires:  python3-enum34
BuildRequires:  python3-keyring
BuildRequires:  python3-msrest >= 0.4.3
%endif
%endif
BuildArch:      noarch

%description
%{common_description}


%package -n python2-%{python_module}
Summary:        %{common_summary}
Requires:       python-msrest >= 0.4.3
%{?python_provide:%python_provide python2-%{python_module}}

%description -n python2-%{python_module}
%{common_description}


%if 0%{?_with_python3}
%package -n python3-%{python_module}
Summary:        %{common_summary}
Requires:       python3-msrest >= 0.4.3
%{?python_provide:%python_provide python3-%{python_module}}

%description -n python3-%{python_module}
%{common_description}
%endif


%prep
%setup -q -n %{python_module}-%{version}


%build
%py2_build
%{?_with_python3:%py3_build}


%install
%py2_install
%{?_with_python3:%py3_install}


%check
%if 0%{?_with_tests}
%{__python2} setup.py test
%{?_with_python3:%{__python3} setup.py test}
%endif


%files -n python2-%{python_module}
%doc readme.rst
%{python2_sitelib}/*


%if 0%{?_with_python3}
%doc readme.rst
%files -n python3-%{python_module}
%{python3_sitelib}/*
%endif


%changelog
* Tue Sep 27 2016 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.4.3-1
- Update to 0.4.3

* Fri Jun 24 2016 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1

* Thu May 26 2016 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.4.0-1
- Update to 0.4.0

* Sun May 01 2016 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.3.0-1
- Update to 0.3.0

* Fri Apr 01 2016 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.2.1-1
- Update to 0.2.1

* Wed Mar 23 2016 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.1.2-1
- Update to 0.1.3

* Sat Mar 05 2016 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.1.1-1
- Update to 0.1.1

* Wed Mar 02 2016 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.0.2-1
- Update to 0.0.2

* Sun Feb 28 2016 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.0.1-1
- Initial RPM release
